MCP Tools Reference: agentregistry.googleapis.com

Tool: search_agents

Perform a keyword or prefix search to discover agents within a specific project and location. Use this when you need to find an agent based on natural language queries, specific skills, tags, or descriptions.

The following sample demonstrate how to use curl to invoke the search_agents MCP tool.

Curl Request
                  
curl --location 'https://agentregistry.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "search_agents",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Message for searching Agents

SearchAgentsRequest

JSON representation
{
  "parent": string,
  "searchString": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
parent

string

Required. Parent value for SearchAgentsRequest. Format: projects/{project}/locations/{location}.

searchString

string

Optional. Search criteria used to select the Agents to return. If no search criteria is specified then all accessible Agents will be returned.

Search expressions can be used to restrict results based upon searchable fields, where the operators can be used along with the suffix wildcard symbol *. See instructions for more details.

Allowed operators: =, :, NOT, AND, OR, and ().

Searchable fields:

Field = : * Keyword Search
agentId Yes Yes Yes Included
name No Yes Yes Included
displayName No Yes Yes Included
description No Yes No Included
skills No Yes No Included
skills.id No Yes No Included
skills.name No Yes No Included
skills.description No Yes No Included
skills.tags No Yes No Included
skills.examples No Yes No Included

Examples:

  • agentId=urn:agent:projects-123:projects:123:locations:us-central1:reasoningEngines:1234 to find the agent with the specified agent ID.
  • name:important to find agents whose name contains important as a word.
  • displayName:works* to find agents whose display name contains words that start with works.
  • skills.tags:test to find agents whose skills tags contain test.
  • planner OR booking to find agents whose metadata contains the words planner or booking.
pageSize

integer

Optional. The maximum number of search results to return per page. The page size is capped at 100, even if a larger value is specified. A negative value will result in an INVALID_ARGUMENT error. If unspecified or set to 0, a default value of 20 will be used. The server may return fewer results than requested.

pageToken

string

Optional. If present, retrieve the next batch of results from the preceding call to this method. page_token must be the value of next_page_token from the previous response. The values of all other method parameters, must be identical to those in the previous call.

Output Schema

Message for response to searching Agents

SearchAgentsResponse

JSON representation
{
  "agents": [
    {
      object (Agent)
    }
  ],
  "nextPageToken": string
}
Fields
agents[]

object (Agent)

A list of Agents that match the search_string.

nextPageToken

string

If there are more results than those appearing in this response, then next_page_token is included. To get the next set of results, call this method again using the value of next_page_token as page_token.

Agent

JSON representation
{
  "name": string,
  "agentId": string,
  "location": string,
  "displayName": string,
  "description": string,
  "version": string,
  "protocols": [
    {
      object (Protocol)
    }
  ],
  "skills": [
    {
      object (Skill)
    }
  ],
  "uid": string,
  "createTime": string,
  "updateTime": string,
  "attributes": {
    string: {
      object
    },
    ...
  },
  "card": {
    object (Card)
  }
}
Fields
name

string

Identifier. The resource name of an Agent. Format: projects/{project}/locations/{location}/agents/{agent}.

agentId

string

Output only. A stable, globally unique identifier for agents.

location

string

Output only. The location where agent is hosted. The value is defined by the hosting environment (i.e. cloud provider).

displayName

string

Output only. The display name of the agent, often obtained from the A2A Agent Card.

description

string

Output only. The description of the Agent, often obtained from the A2A Agent Card. Empty if Agent Card has no description.

version

string

Output only. The version of the Agent, often obtained from the A2A Agent Card. Empty if Agent Card has no version or agent is not an A2A Agent.

protocols[]

object (Protocol)

Output only. The connection details for the Agent.

skills[]

object (Skill)

Output only. Skills the agent possesses, often obtained from the A2A Agent Card.

uid

string

Output only. A universally unique identifier for the Agent.

createTime

string (Timestamp format)

Output only. Create time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. Update time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

attributes

map (key: string, value: object (Struct format))

Output only. Attributes of the Agent. Valid values:

  • agentregistry.googleapis.com/system/Framework: {"framework": "google-adk"} - the agent framework used to develop the Agent. Example values: "google-adk", "langchain", "custom".
  • agentregistry.googleapis.com/system/RuntimeIdentity: {"principal": "principal://..."} - the runtime identity associated with the Agent.
  • agentregistry.googleapis.com/system/RuntimeReference: {"uri": "//..."}
  • the URI of the underlying resource hosting the Agent, for example, the Reasoning Engine URI.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

card

object (Card)

Output only. Full Agent Card payload, when available.

Protocol

JSON representation
{
  "type": enum (Type),
  "protocolVersion": string,
  "interfaces": [
    {
      object (Interface)
    }
  ]
}
Fields
type

enum (Type)

Output only. The type of the protocol.

protocolVersion

string

Output only. The version of the protocol, for example, the A2A Agent Card version.

interfaces[]

object (Interface)

Output only. The connection details for the Agent.

Interface

JSON representation
{
  "url": string,
  "protocolBinding": enum (ProtocolBinding)
}
Fields
url

string

Required. The destination URL.

protocolBinding

enum (ProtocolBinding)

Required. The protocol binding of the interface.

Skill

JSON representation
{
  "id": string,
  "name": string,
  "description": string,
  "tags": [
    string
  ],
  "examples": [
    string
  ]
}
Fields
id

string

Output only. A unique identifier for the agent's skill.

name

string

Output only. A human-readable name for the agent's skill.

description

string

Output only. A more detailed description of the skill.

tags[]

string

Output only. Keywords describing the skill.

examples[]

string

Output only. Example prompts or scenarios this skill can handle.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

AttributesEntry

JSON representation
{
  "key": string,
  "value": {
    object
  }
}
Fields
key

string

value

object (Struct format)

Struct

JSON representation
{
  "fields": {
    string: value,
    ...
  }
}
Fields
fields

map (key: string, value: value (Value format))

Unordered map of dynamically typed values.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

FieldsEntry

JSON representation
{
  "key": string,
  "value": value
}
Fields
key

string

value

value (Value format)

Value

JSON representation
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
Fields
Union field kind. The kind of value. kind can be only one of the following:
nullValue

null

Represents a JSON null.

numberValue

number

Represents a JSON number. Must not be NaN, Infinity or -Infinity, since those are not supported in JSON. This also cannot represent large Int64 values, since JSON format generally does not support them in its number type.

stringValue

string

Represents a JSON string.

boolValue

boolean

Represents a JSON boolean (true or false literal in JSON).

structValue

object (Struct format)

Represents a JSON object.

listValue

array (ListValue format)

Represents a JSON array.

ListValue

JSON representation
{
  "values": [
    value
  ]
}
Fields
values[]

value (Value format)

Repeated field of dynamically typed values.

Card

JSON representation
{
  "type": enum (Type),
  "content": {
    object
  }
}
Fields
type

enum (Type)

Output only. The type of agent card.

content

object (Struct format)

Output only. The content of the agent card.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌